package users

import (
	"context"
	userv1 "git.sch9.ru/new_gate/ms-auth/pkg/go/gen/proto/user/v1"
	"google.golang.org/protobuf/types/known/emptypb"
)

type UserHandlers interface {
	CreateUser(ctx context.Context, req *userv1.CreateUserRequest) (*userv1.CreateUserResponse, error)
	ReadUser(ctx context.Context, req *userv1.ReadUserRequest) (*userv1.ReadUserResponse, error)
	UpdateUser(ctx context.Context, req *userv1.UpdateUserRequest) (*emptypb.Empty, error)
	DeleteUser(ctx context.Context, req *userv1.DeleteUserRequest) (*emptypb.Empty, error)
}
